import pygame


class Rectangle:

    def __init__(self, x, y, width, length, m):
        self.x = x
        self.y = y
        self.width = width
        self.length = length
        self.v_x = 0
        self.a_x = 0
        self.x_center = self.x + self.width // 2
        self.m = m

    def show(self, screen):
        pygame.draw.rect(screen, (200, 200, 200), (self.x, self.y, self.width, self.length))

    def move(self):
        self.v_x = self.v_x + self.a_x
        self.x = self.x + self.v_x
        self.x_center = self.x + self.width // 2
